<?php
error_reporting(0);
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();
session_cache_limiter('private');
$cache_limiter 	= session_cache_limiter();
session_cache_expire(60);
$cache_expire 	= session_cache_expire(); 
date_default_timezone_set('Asia/Manila'); 
$CURRENT_DATE 	= date('Y-m-d H:i:s');
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload	=	new autoloadClass();
$mecon		=	new condbClass();
$utility	=	new utilityClass(); 
if(isset($_POST['UnitBlock'])){
$block		= isset($_POST['block'])		? str_replace('_',' ',htmlentities(addslashes(strip_tags(trim($_POST['block'])))))  : "";   
$lot		= isset($_POST['lot'])			? str_replace('_',' ',htmlentities(addslashes(strip_tags(trim($_POST['lot']))))) 	: "";   
$task		= isset($_POST['action'])		? trim($_POST['action']) : "";
$mainid		= isset($_POST['mainid'])		? trim($_POST['mainid']) : "";

$currentUser 	= $_SESSION['danvillee_username'];
$timeStamp		= date('Y-m-d H:i:s');

$mainArr	= array();  
$output 	= "";
$mainArr['Block']				=	$block;
$mainArr['Lot']					=	$lot; 
 
$condArr = array();
if($task=="create"):
	$mainArr['Id']				= $mecon->getNextId("Id","units");
	$unitsId					= $mecon->getNextId("Id","units"); 
	$mainArr['CreatedDate'] 	= $timeStamp;
	$mainArr['CreatedBy'] 		= $currentUser;
	$output						= $mecon->insertSingleQuery($mainArr,"units"); 	 
	
			//LOG TASK 
			$actArr['UserType']			= "liaison";
			$actArr['Remarks']			= "Created New Units : $block - $lot";
			$actArr['Action']			= "create";
			$actArr['ActionType']		= "units";
			$actArr['ActionContent']	= json_encode($mainArr);
			$actArr['ActionBy'] 		= $currentUser;	
			$actArr['ActionDate']		= $timeStamp;
			$actArr['TransId']			= $unitsId;
			$utility->encodeActivityLog($actArr);
elseif($task=="edit"):
	$mainArr['UpdatedDate'] 		= $timeStamp;
	$mainArr['UpdatedBy'] 			= $currentUser;
	$condArr['Id']					= $mainid;
	$output 						= $mecon->updateQuery($mainArr,"units",$condArr); 
	
			//LOG TASK 
			$actArr['UserType']			= "liaison";
			$actArr['Remarks']			= "Updated Units : $block - $lot";
			$actArr['Action']			= "edit";
			$actArr['ActionType']		= "units";
			$actArr['ActionContent']	= json_encode($mainArr);
			$actArr['ActionBy'] 		= $currentUser;	
			$actArr['ActionDate']		= $timeStamp;
			$actArr['TransId']			= $mainid;
			$utility->encodeActivityLog($actArr);
endif;

$resultArr 						= array();
$resultArr['output']	  		= $output;
echo json_encode($resultArr);
}
exit();
ob_end_flush();